# Get asset share

Retrieves a specific share for the specified asset.

Endpoint: GET /shares/{shareId}
Version: 2.0.0
Security: APIToken, OAuth2

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

## Path parameters:

  - `shareId` (string, required)
    The unique identifier for the share.

## Query parameters:

  - `assetType` (string, required)
    The type of the asset. Used in combination with assetId to determine the asset.
    Enum: "sheet", "report", "sight", "workspace", "collection", "file"

  - `assetId` (string, required)
    The ID of the asset being accessed. It's used in combination with assetType to determine the asset.

Depending on the asset, this may be a numeric or string value.
    Example: "1234567890"

## Response 200 fields (application/json):

  - `id` (string, required)
    The ID of the share.
    Example: "AAAMCmYGFOeE"

  - `email` (string)
    User's primary email address for user shares.
    Example: "test.email@smartsheet.com"

  - `userId` (number)
    User ID if the share is a user share.
    Example: 9876543210

  - `groupId` (number)
    Group ID if the share is a group share.
    Example: 1234567890

  - `name` (string)
    If present, the name of the user or group to which the asset is shared.
    Example: "Example Name"

  - `type` (string, required)
    The type of this share. One of the following values: GROUP or USER.
    Example: "USER"

  - `accessLevel` (string, required)
    Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"

  - `scope` (string, required)
    The scope of this share. One of the following values:
  * ITEM: an item-level share (that is, the specific object to which the share applies is shared with
    the user or group).
  * WORKSPACE: a workspace-level share (that is, the workspace that contains the asset to which the
    share applies is shared with the user or group).
    Enum: "ITEM", "WORKSPACE"

## Response default fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.


